<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/*************************** version 1b 20160214 **************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= true;			// false if we run in the template environment
$autoUpdate = true;       // 'true' if we want to autoupdate every 30 minutes - 'false' shuts autoupdates!
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="Composite Twelve Hour US GOES Animation"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr(' - Composite Twelve Hour US GOES Animation');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'Composite Twelve Hour US GOES Animationn';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
<script src="./HAniS/hanis_min.js" type="text/javascript"></script>
<?php if ($autoUpdate) { ?>
<script type="text/javascript">
function zuluTimer() {<!--
//<![CDATA[
  var d = new Date();
  var n = ((d.getMinutes()+4)%60);
  var sec = 60-d.getSeconds();
  var count=((30-(n%30))*60)+sec; // minutes * seconds + offset
	var countSince = ((30*60)-count);
  var counter=setInterval(timer, 1000);
  function timer() {
    count=count-1;
		cmuntil = Math.floor(count/60);
		csuntil = count-(cmuntil*60);
		countSince=countSince+1;
		cmsince = Math.floor(countSince/60);
		cssince = countSince-(cmsince*60);
		
    if (count <= 0) {
      clearInterval(counter);
      zuluTimer();
    }
    document.getElementById("theTimer").innerHTML=(cmuntil>0?(cmuntil+" Minute"+(cmuntil!=1?"s":"")):"")+((cmuntil>0&&csuntil>0)?" and ":"")+(csuntil>0?(csuntil+" Second"+(csuntil!=1?"s":"")):""); 
    document.getElementById("countSince").innerHTML=(cmsince>0?(cmsince+" Minute"+(cmsince!=1?"s":"")):"")+((cmsince>0&&cssince>0)?" and ":"")+(cssince>0?(cssince+" Second"+(cssince!=1?"s":"")):""); 
  }
} zuluTimer();
//]]>
-->
</script>
<?php } ?>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}img.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}</style>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
############################################################################
}
$imageWidth = 1350; // Width of images
$iframeWidth = $imageWidth; // IFrame Width
$iframeHeight = ($iframeWidth*.52)+40; // IFrame Height
$numbImages = 25; // Number of images to display -no need to change 
/************************* Settings *****************************/
$bgndColor = 'silver'; // Set HAniS Background Color Here
$btnColor = 'darkslategray'; // Set Button Color here
$btnTextColor = 'white'; // Set Button Text Color here
$pauseSeconds = 2; // Pause on last image, in seconds
$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
/*********************** End Settings ***************************/

?>
<?php if (isset($_SESSION['CSSwidescreen'])&&!$standAlone) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $imageWidth) ?>px; border:inset">
	<?php } else {	?>
		<div id="main-copy" style="width:100%;<?php echo $standAlone?'':' border:inset'?>">
  <?php } ?>
  <div class="center" style="width:<?php echo $imageWidth?>px; <?php echo $standAlone?'border:inset':''?>">
  <br/>
    <h2 style="line-height:80%" align="center">Composite Twelve Hour US GOES Animation</h2>
    <?php if ($autoUpdate ) { ?>
     <h3 align="center" style="line-height:80%; color:green">Updates  Every 30 Minutes</h3>
     <div style="text-align:center; line-height:100%; color:green">(Last Update <span id="countSince"></span> Ago - Next Update in <span id="theTimer"></span>)</div>
    <?php } else { ?>
     <h3 align="center" style="line-height:120%;">A New Map Is Created Every 30 Minutes</h3>
     <?php } ?>
		<iframe width="<?php echo $iframeWidth?>" height="<?php echo $iframeHeight ?>" src="wxsseccomposite-iframebig.php?iframeHeight=<?php echo $iframeHeight?>&amp;imageWidth=<?php echo $imageWidth?>&amp;bgndColor=<?php echo $bgndColor?>&amp;btnColor=<?php echo $btnColor?>&amp;btnTextColor=<?php echo $btnTextColor?>&amp;animRate=<?php echo $animRate?>&amp;pauseSeconds=<?php echo $pauseSeconds?>&amp;numbImages=<?php echo $numbImages?>&amp;autoUpdate=<?php echo $autoUpdate?>" id="satComp" scrolling="no" style="border:none"></iframe>

  <div align="center"><hr/>
  <p style="font-size:9px; text-align:center">The above images were produced by <a href="https://www.ssec.wisc.edu/" target="_blank" title="Off Site">Space Science and Engineering Center</a> using <a href="https://www.weather.gov/" target="_blank" title="Off Site">NWS Satellite Images</a><br/>Animation by <a href="https://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="Off Site">HAniS</a> &copy;2014-<?php echo date("Y")?> by Tom Whittaker -- Script by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a> 
  </p>
  </div>
  </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
